// package main -- пускач для PWA-клиента
package main

import (
	"log"
	"os"

	"wartank/internal/pwa"
)

func main() {
	client, err := pwa.NewPwa()
	if err != nil {
		log.Printf("main(): in make Pwa, err=%v", err)
		os.Exit(0)
	}
	if err := client.Run(); err != nil {
		log.Printf("main(): in run client PWA, err=\n\t%v", err)
		os.Exit(1)
	}
}
